'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var core = require('@remote-ui/core');

/**
 * Sheet is designed to be used on top of other elements in a user interface and is typically bound to the bottom of a page.
 * Sheet can contain and display various types of content such as forms, or informational messages.
 * Unlike a Modal, which interrupts user flow, a Sheet offers a less intrusive, fluid experience.
 *
 * The library automatically applies the [WAI-ARIA Dialog pattern](https://www.w3.org/WAI/ARIA/apg/patterns/dialog-modal/) to both the activator and the sheet content.
 */
const Sheet = core.createRemoteComponent('Sheet');

exports.Sheet = Sheet;
