'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var core = require('@remote-ui/core');

/**
 * @property title - The text displayed in the title of the dialog.
 * @property content - The text displayed in the body of the dialog.
 * @property actionText - The text displayed in the primary action button of the dialog.
 * @property secondaryActionText - The text displayed in the secondary action section of the dialog.
 * @property showSecondaryAction - Whether a secondary action displays.
 * @property type - Determines the dialog’s appearance and function.
 * @property onAction - A callback that performs when the action is triggered.
 * @property onSecondaryAction - A callback that is executed when the secondary action is triggered.
 * @property isVisible - Whether the dialog should be presented.
 */

const Dialog = core.createRemoteComponent('Dialog');

exports.Dialog = Dialog;
