'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var core = require('@remote-ui/core');

/**
 * Represents the properties for the TimePicker component.
 * @property selected - The selected time.
 * @property onChange - A callback for changes.
 * @property visibleState - Controls the visible state, and a callback to set the visible state as false when the dialog closes.
 * @property is24Hour - (Android only) Whether the clock displays in 24 hour time instead of 12 hour time.
 * @property inputMode - Whether to display the picker in inline (clock) mode or spinner mode.
 */

const TimePicker = core.createRemoteComponent('TimePicker');

exports.TimePicker = TimePicker;
