import { createRemoteComponent } from '@remote-ui/core';

/**
 * Enables clipboard functionality when its `id` is referenced by the `activateTarget` property of a `Button`, `Pressable`, or `Link` component.
 *
 * When activated, it copies the text to the clipboard and displays a `Tooltip` confirmation.
 *
 * ClipboardItem` is a non-rendering component.
 */
const ClipboardItem = createRemoteComponent('ClipboardItem');

export { ClipboardItem };
