import { createRemoteComponent } from '@remote-ui/core';

/**
 * Heading group controls the heading level of headings nested within it, like H1, H2, H3.
 *
 * Use a heading group whenever you use a heading to ensure the experience is the same
 * for screen reader users. When using a heading, any children related to that
 * heading should be nested within the same heading group.
 */
const HeadingGroup = createRemoteComponent('HeadingGroup');

export { HeadingGroup };
