import { createRemoteComponent } from '@remote-ui/core';

/**
 * @property `title` the text set on the `Button`.
 * @property `type` the type of `Button` to render. Determines the appearance of the button.
 * @property `onPress` the callback that is executed when the user taps the button.
 * @property `isDisabled` sets whether the `Button` can be tapped.
 * @property `isLoading` sets whether the `Button` is displaying an animated loading state.
 */

const Button = createRemoteComponent('Button');

export { Button };
