import type { InputProps } from '../shared/InputField';
/**
 * Represents the properties for the NumberField component.
 * @typedef {Object} NumberFieldProps
 * @property {'decimal' | 'numeric'} [inputMode] - The mode of input, can be either 'decimal' or 'numeric'.
 */
export interface NumberFieldProps extends InputProps {
    inputMode?: 'decimal' | 'numeric';
    /**
     * The highest decimal or integer to be accepted for the field.
     */
    max?: number;
    /**
     * The lowest decimal or integer to be accepted for the field.
     */
    min?: number;
}
export declare const NumberField: "NumberField" & {
    readonly type?: "NumberField" | undefined;
    readonly props?: NumberFieldProps | undefined;
    readonly children?: true | undefined;
};
//# sourceMappingURL=NumberField.d.ts.map