import type { InputProps } from '../shared/InputField';
/**
 * Represents the properties for the TextField component.
 * @typedef {Object} TextAreaProps
 * @property {number} [rows] - The initial number of lines to be displayed. Maximum of 8 lines.
 */
export interface TextAreaProps extends InputProps {
    /**
     * The initial number of lines to be displayed. Maximum of 8 lines.
     */
    rows?: number;
}
export declare const TextArea: "TextArea" & {
    readonly type?: "TextArea" | undefined;
    readonly props?: TextAreaProps | undefined;
    readonly children?: true | undefined;
};
//# sourceMappingURL=TextArea.d.ts.map